UDEVTRIGGER(8)

NAME
udevtrigger - request kernel devices events for coldplug

SYNOPSIS

udevtrigger [--verbose] [--dry-run] [--retry-failed] [--help] [--subsystem-match=subsystem] [--subsystem-nomatch=subsystem] [--attr-match=attribute=value] [--attr-nomatch=attribute=value]

DESCRIPTION

Trigger kernel device uevents to replay missing events at system coldplug.

OPTIONS

--verbose
    Print the list of devices which will be triggered.

--dry-run
    Do not actually trigger the event.

--retry-failed
    Trigger only the events which are failed during a previous run.

--subsystem-match=subsystem
    Trigger events for devices which belong to a matching subsystem. This option can be specified multiple times and supports shell style pattern matching.

--subsystem-nomatch=subsystem
    Do not trigger events for devices which belong to a matching subsystem. This option can be specified multiple times and supports shell style pattern matching.

--attr-match=attribute=value
    Trigger events for devices with a matching sysfs attribute. If a value is specified along with the attribute name, the content of the attribute is matched against the given value using shell style pattern matching. If no value is specified, the existence of the sysfs attribute is checked. This option can be specified multiple times.

--attr-nomatchattribute=value
    Do not trigger events for devices with a matching sysfs attribute. If a value is specified along with the attribute name, the content of the attribute is matched against the given value using shell style pattern matching. If no value is specified, the existence of the sysfs attribute is checked. This option can be specified multiple times.

ENVIRONMENT

UDEV_LOG
    Overrides the syslog priority specified in the config file.

AUTHOR

Written by Kay Sievers <kay.sievers@vrfy.org> and Hannes Reinecke <hare@suse.de>.

SEE ALSO

udev(7)